#!/bin/sh

# global var:
#  APP_PATCH_ROOT=/etc/iscan
#  PATCHINFOINI=stargate_patch.ini
#  PATCHMGMINI=${INSTALL_DIR}/patch/config/patch_management.ini
#  PATCH_NUMBER=`F_ini_get $PATCHINFOINI PatchInfo Number`

# will be called before database is shutdown.
F_apply_database_changes()
{
    echo "F_apply_database_changes"
    echo "install app control map"
    MAP_FILE=/tmp/extract_patch/files/app_control_map
    /usr/iwss/PostgreSQL/bin/psql -U sa iwss -c "delete from tb_app_protocol_map; COPY tb_app_protocol_map from '$MAP_FILE' with delimiter '|';"
    /etc/iscan/S99ISappd install

}


# will be called before database is shutdown.
F_rollback_database_changes()
{
    echo F_rollback_database_changes
}

F_binary_extra_copy()
{
    echo F_binary_extra_copy
}

F_update_extra_ini() {
	echo "Updating the ini file."
}

# will be called after binary copying
F_apply_extra_changes()
{
	echo F_apply_extra_changes

	F_binary_extra_copy
	F_update_extra_ini
}

# will be called after binary copying
F_rollback_extra_changes()
{
	echo F_rollback_extra_changes
}
